#ifndef _NZG_IFACE
#define _NZG_IFACE 1


#include "nzg_global.h"
#define MSGSPACE_DEFAULT_MODE 0600

typedef char * msgSpaceId;
typedef char * msgSpaceListId;

typedef char * msgSpaceListElemId;
typedef char * msgSpacePoolDataId;
typedef char * msgSpacePoolId;
typedef char * msgSpaceQueueDataId;
typedef char * msgSpaceQueueId;

  /* pid[] */
  /* liste des processus demandeurs */ 
typedef struct MsgPool {
  msgSpacePoolId id;
  int bufferNb;
  int bufferSize;
  int allocDispBuffer;
  int allocOverload;
} msgPool;

/* TODO: queueId */

typedef struct MsgSpace {
  msgSpaceId id;
  int poolNb;
  int queueNb;
    int pid; 
  msgSpacePoolDataId poolDataId;
} msgSpace;


/* struct msgSpaceListElem * next; */

typedef struct MsgSpaceListElem {
  void * id;
  int ownerPid;
    msgSpaceListElemId next;
} * msgSpaceList, msgSpaceListElem;


#endif
/* */
